
_SetupDevice:

;SIM800L.c,8 :: 		void SetupDevice(){
;SIM800L.c,11 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	BSF        BAUDCON+0, 3
	MOVLW      207
	MOVWF      SPBRG+0
	CLRF       SPBRG+1
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;SIM800L.c,12 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
	MOVLW      2
	MOVWF      R11
	MOVLW      4
	MOVWF      R12
	MOVLW      186
	MOVWF      R13
L_SetupDevice0:
	DECFSZ     R13, 1
	GOTO       L_SetupDevice0
	DECFSZ     R12, 1
	GOTO       L_SetupDevice0
	DECFSZ     R11, 1
	GOTO       L_SetupDevice0
	NOP
;SIM800L.c,13 :: 		}
L_end_SetupDevice:
	RETURN
; end of _SetupDevice

_SendSms:

;SIM800L.c,15 :: 		void SendSms(){
;SIM800L.c,17 :: 		UART1_Write_Text("AT+CMGF=1\r");
	MOVLW      ?lstr1_SIM800L+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr1_SIM800L+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;SIM800L.c,18 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11
	MOVLW      38
	MOVWF      R12
	MOVLW      93
	MOVWF      R13
L_SendSms1:
	DECFSZ     R13, 1
	GOTO       L_SendSms1
	DECFSZ     R12, 1
	GOTO       L_SendSms1
	DECFSZ     R11, 1
	GOTO       L_SendSms1
	NOP
	NOP
;SIM800L.c,20 :: 		UART1_Write_Text("AT+CMGS=\"+00000000000\"\r"); // enter your number in the format +[COUNTRY CODE][CELL NUMBER], omit leading zeros
	MOVLW      ?lstr2_SIM800L+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr2_SIM800L+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;SIM800L.c,21 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11
	MOVLW      38
	MOVWF      R12
	MOVLW      93
	MOVWF      R13
L_SendSms2:
	DECFSZ     R13, 1
	GOTO       L_SendSms2
	DECFSZ     R12, 1
	GOTO       L_SendSms2
	DECFSZ     R11, 1
	GOTO       L_SendSms2
	NOP
	NOP
;SIM800L.c,23 :: 		UART1_Write_Text("Test SMS");
	MOVLW      ?lstr3_SIM800L+0
	MOVWF      FARG_UART1_Write_Text_uart_text+0
	MOVLW      hi_addr(?lstr3_SIM800L+0)
	MOVWF      FARG_UART1_Write_Text_uart_text+1
	CALL       _UART1_Write_Text+0
;SIM800L.c,24 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11
	MOVLW      38
	MOVWF      R12
	MOVLW      93
	MOVWF      R13
L_SendSms3:
	DECFSZ     R13, 1
	GOTO       L_SendSms3
	DECFSZ     R12, 1
	GOTO       L_SendSms3
	DECFSZ     R11, 1
	GOTO       L_SendSms3
	NOP
	NOP
;SIM800L.c,27 :: 		UART1_Write(26);
	MOVLW      26
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;SIM800L.c,28 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11
	MOVLW      38
	MOVWF      R12
	MOVLW      93
	MOVWF      R13
L_SendSms4:
	DECFSZ     R13, 1
	GOTO       L_SendSms4
	DECFSZ     R12, 1
	GOTO       L_SendSms4
	DECFSZ     R11, 1
	GOTO       L_SendSms4
	NOP
	NOP
;SIM800L.c,29 :: 		}
L_end_SendSms:
	RETURN
; end of _SendSms

_main:

;SIM800L.c,32 :: 		void main() {
;SIM800L.c,34 :: 		Delay_ms(500);         // Gives modem time to power up
	MOVLW      6
	MOVWF      R11
	MOVLW      19
	MOVWF      R12
	MOVLW      173
	MOVWF      R13
L_main5:
	DECFSZ     R13, 1
	GOTO       L_main5
	DECFSZ     R12, 1
	GOTO       L_main5
	DECFSZ     R11, 1
	GOTO       L_main5
	NOP
	NOP
;SIM800L.c,36 :: 		SetupDevice();        // Device peripherals
	CALL       _SetupDevice+0
;SIM800L.c,38 :: 		while(1){
L_main6:
;SIM800L.c,40 :: 		SendSms();
	CALL       _SendSms+0
;SIM800L.c,41 :: 		Delay_ms(3000);
	MOVLW      31
	MOVWF      R11
	MOVLW      113
	MOVWF      R12
	MOVLW      30
	MOVWF      R13
L_main8:
	DECFSZ     R13, 1
	GOTO       L_main8
	DECFSZ     R12, 1
	GOTO       L_main8
	DECFSZ     R11, 1
	GOTO       L_main8
	NOP
;SIM800L.c,43 :: 		}
	GOTO       L_main6
;SIM800L.c,44 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
